Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class VMSuspendEvent

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMEvent
          org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMSuspendEvent

All Implemented Interfaces:
  java.io.Serializable

    public class VMSuspendEvent

extends VMEvent

See Also:
  Serialized Form

Field Summary
`static int` | `BREAKPOINT_CONDITION_ERR`
`java.lang.Long` | `breakpointID`
`int` | `detail`
`VMLocation` | `location`
`java.lang.String` | `reason`
`java.lang.String` | `reasonDetail`
`VMStackFrame[]` | `stackFrames`

Constructor Summary
`VMSuspendEvent(VMStackFrame[] stack, int detail)`

Method Summary
`java.lang.Long` | `getBreakpointID()`
`java.lang.String` | `getReason()`
`java.lang.String` | `getReasonDetail()`
`void` | `setBreakpointID(java.lang.Long breakpointID)`
`void` | `setReason(java.lang.String reason, java.lang.String reasonDetail)`
`void` | `setReasonDetail(java.lang.String reasonDetail)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BREAKPOINT_CONDITION_ERR

    public static final int BREAKPOINT_CONDITION_ERR

### location

    public VMLocation location

### stackFrames

    public VMStackFrame[] stackFrames

### breakpointID

    public java.lang.Long breakpointID

### detail

    public int detail

### reason

    public java.lang.String reason

### reasonDetail

    public java.lang.String reasonDetail

Constructor Detail

### VMSuspendEvent

    public VMSuspendEvent(VMStackFrame[] stack,
                          int detail)

Method Detail

### getBreakpointID

    public java.lang.Long getBreakpointID()

### setBreakpointID

    public void setBreakpointID(java.lang.Long breakpointID)

### setReason

    public void setReason(java.lang.String reason,
                          java.lang.String reasonDetail)

### getReason

    public java.lang.String getReason()

### getReasonDetail

    public java.lang.String getReasonDetail()

### setReasonDetail

    public void setReasonDetail(java.lang.String reasonDetail)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD